package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(tenant_contract_template):
 */
public class TenantContractTemplate {

	@ApiModelProperty(value = "编号")
	private Integer id;

	@ApiModelProperty(value = "协议名称")
	private String name;

	@ApiModelProperty(value = "协议类型")
	private String type;

	@ApiModelProperty(value = "协议内容")
	private String contractTemplateContent;

	@ApiModelProperty(value = "原始协议文件url")
	private String origanalFileUrl;

	@ApiModelProperty(value = "协议号")
	private String contractNo;

	@ApiModelProperty(value = "是否启用（1-启用  0-不启用）")
	private Boolean status;

	@ApiModelProperty(value = "协议版本号")
	private Integer version;

	@ApiModelProperty(value = "最后修改人编号")
	private Integer modifyBy;

	@ApiModelProperty(value = "最后修改时间")
	private java.util.Date updateTime;

	@ApiModelProperty(value = "创建时间")
	private java.util.Date createTime;

	@ApiModelProperty(value = "甲方")
	private String owner;
	
	private Integer tenantId;

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getId() {
		return this.id;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getName() {
		return this.name;
	}

	public void setContractTemplateContent(String contractTemplateContent) {
		this.contractTemplateContent = contractTemplateContent;
	}

	public String getContractTemplateContent() {
		return this.contractTemplateContent;
	}

	public void setOriganalFileUrl(String origanalFileUrl) {
		this.origanalFileUrl = origanalFileUrl;
	}

	public String getOriganalFileUrl() {
		return this.origanalFileUrl;
	}

	public void setContractNo(String contractNo) {
		this.contractNo = contractNo;
	}

	public String getContractNo() {
		return this.contractNo;
	}

	public void setStatus(boolean status) {
		this.status = status;
	}

	public boolean getStatus() {
		return this.status;
	}

	public void setVersion(Integer version) {
		this.version = version;
	}

	public Integer getVersion() {
		return this.version;
	}

	public void setModifyBy(Integer modifyBy) {
		this.modifyBy = modifyBy;
	}

	public Integer getModifyBy() {
		return this.modifyBy;
	}

	public void setUpdateTime(java.util.Date updateTime) {
		this.updateTime = updateTime;
	}

	public java.util.Date getUpdateTime() {
		return this.updateTime;
	}

	public void setCreateTime(java.util.Date createTime) {
		this.createTime = createTime;
	}

	public java.util.Date getCreateTime() {
		return this.createTime;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getOwner() {
		return owner;
	}

	public void setOwner(String owner) {
		this.owner = owner;
	}

	public Integer getTenantId() {
		return tenantId;
	}

	public void setTenantId(Integer tenantId) {
		this.tenantId = tenantId;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
